Subject: Re: [PATCH v2 net-next] selftests: Add debugging options to pmtu.sh

From: Stefano Brivio <[email-masked]>
Date: Thu, 11 Apr 2019 21:04:15 +0200

On Thu, 11 Apr 2019 11:51:50 -0700
David Ahern <[email-masked]> wrote:

> From: David Ahern <[email-masked]>
> 
> pmtu.sh script runs a number of tests and dumps a summary of pass/fail.
> If a test fails, it is near impossible to debug why. For example:
> 
>     TEST: ipv6: PMTU exceptions                       [FAIL]
> 
> There are a lot of commands run behind the scenes for this test. Which
> one is failing?
> 
> Add a VERBOSE option to show commands that are run and any output from
> those commands. Add a PAUSE_ON_FAIL option to halt the script if a test
> fails allowing users to poke around with the setup in the failed state.
> 
> In the process, rename tracing to TRACING and move declaration to top
> with the new variables.
> 
> Signed-off-by: David Ahern <[email-masked]>
> ---
> v2
> - moved tracing to TRACING, dropped eval and quoted command in new run_cmd,
>   dropped local from declarations - all comments from Stefano

Reviewed-by: Stefano Brivio <[email-masked]>

-- 
Stefano